# Commands

All commands executed by the Combat plugin through `Spark.Network.ExecuteCommand()`.

## Ability Commands

| Command                 | Properties                                                 | Description        |
| ----------------------- | ---------------------------------------------------------- | ------------------ |
| `ExecuteAbilityCommand` | `casterId`, `actionId`, `targetPosition`, `targetObjectId` | Execute an ability |

## Combo Commands

| Command                | Properties                                          | Description                 |
| ---------------------- | --------------------------------------------------- | --------------------------- |
| `StartComboCommand`    | `casterId`, `comboId`, `targetPosition`             | Begin a combo chain         |
| `ContinueComboCommand` | `casterId`, `comboId`, `nextStep`, `targetPosition` | Continue to next combo step |
| `CancelComboCommand`   | `casterId`, `comboId`                               | Cancel an active combo      |

## Stat Commands

| Command                 | Properties               | Description            |
| ----------------------- | ------------------------ | ---------------------- |
| `ModifyStatCommand`     | `Target`, `StatModifier` | Apply a stat modifier  |
| `RemoveModifierCommand` | `Target`, `ModifierId`   | Remove a stat modifier |

## Item Stat Commands

| Command                  | Properties                                 | Description                            |
| ------------------------ | ------------------------------------------ | -------------------------------------- |
| `ApplyItemStatsCommand`  | `Target`, `Item`, `ItemInstance`, `Source` | Apply item stat modifiers to entity    |
| `RemoveItemStatsCommand` | `Target`, `Item`, `ItemInstance`, `Source` | Remove item stat modifiers from entity |

See [Command System](/documentation/developer-guide/core-systems/command-system.md) for full details on creating and executing commands.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sparkframework.dev/documentation/developer-guide/plugins/combat/commands.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
